<?php

function add_home_menu(&$buttons, &$menu_count)
{
	global $txt, $boardurl;

	loadLanguage('HomeBtn');

	$parsed = parse_url($boardurl);

	$buttons = elk_array_insert($buttons, 'home', array(
		'base' => array(
			'title' => $txt['home_btn'],
			'href' => $parsed['scheme'] . '://' . $parsed['host'] . (!empty($parsed['port']) ? ':' . $parsed['port'] : '') . '/',
			'data-icon' => '&#xf015;',
			'show' => true,
		),
	));
	$buttons['home']['data-icon'] = '&#xf0e6;';
}